<?
	echo $heading = "<h1>PHP/MySQL Coursework Blog</h1>";
	echo $subheading = "<h4>by tle004</h4>";

	error_reporting(E_ALL);
	ini_set( "display_errors", 1 );

	//Must include authentication details to connect to database
	include 'config.php';

	//Try to create a connection with database using PDO
	try {
		$pdo = new PDO( $dbInfo, $dbUsername, $dbPassword );
		//ensures that PDO throws an exception if there's a problem:
		$pdo->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
		echo "Successfully connected.<br/>";
		echo "<br/>";
	} 
	catch (PDOException $e) {
		echo "Connection failed: " . $e->getMessage();
	}

	//Try to get results from database
	// try {
 //    	$sql = ’SELECT * FROM blog_entry’;
 //        $statement = $db->query($sql);
 //        $result = $statement->fetchAll();	//fetch and return all results
	// } catch (PDOException $exception) {
	//     die($exception->getMessage());
	// }


	$title = "Coursework Blog: Admin";
	$css="css/blog.css";
	$embeddedStyle = "";

	include_once "views/header.php";
	include_once "views/admin/navigation.php";
	include_once "views/footer.php";

	$navigation = isset( $_GET['page'] );
	if ( $navigation ) {
	    $contrl = $_GET['page']; //prepare to load corresponding controller (editor.php)
	} else {
	    $contrl = "entries";	//or prepare to load default controller (entries.php)
	}

	//load the controllers, depending on the user's selection
	include_once "controllers/admin/$contrl.php";


	//close PDO connection
	unset($pdo);

?>